local M = {}

function M.clamp(var, min, max) --checks if the var is in a certain radius (min, max)
	if(var >= max) then return max end
	if(var <= min) then return min end
	return var
end

function M.save(slot)
	
	--love.system.openURL("https://patreon.com/LoT")
	love.event.quit()
end

function M.animationArray(count, px, py, width, height, difference, img) --creates an array of the images on an image
	animation = {}
	for i = 0, count do
		animation[i] = love.graphics.newQuad(px + i * difference, py, width, height, img:getDimensions())
		end
	return animation
end

function M.collision(x1, y1, width1, height1, x2, y2, width2, height2)
	if x2 + width2 > x1 and x2 < x1 + width1 then
		if y2 + height2 > y1 and y2 < y1 + height1 then
			return true
		end
	end
	return false
end

return M
